Name:           glite-lbjp-common-db
Version:        3.2.11
Release:        6%{?dist}
Summary:        Database engine abstraction wrapper used in L&B and JP services

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.db/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel
BuildRequires:  log4c-devel
BuildRequires:  mysql-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  libtool
BuildRequires:  perl-interpreter
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel

%description
Database engine abstraction wrapper used in L&B and JP services.


%package        devel
Summary:        Development files for gLite L&B/JP common DB module
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common database module.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE
%{_libdir}/libglite_lbu_db.so.3
%{_libdir}/libglite_lbu_db.so.3.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/db.h
%{_libdir}/libglite_lbu_db.so


%changelog
* Tue Jul 18 2017 František Dvořák <valtri@civ.zcu.cz> - 3.2.11-6
- Rebuilt with mariadb 10.2

* Wed Jul 12 2017 Petr Písař <ppisar@redhat.com> - 3.2.11-6
- perl dependency renamed to perl-interpreter

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.11-1
- New release 3.2.11 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.10-1
- New release 3.2.10 (L&B 4.1.1)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.9-1
- New release 3.2.9 (L&B 4.0.12)
- Cflags patch not needed anymore

* Sun Sep 01 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.8-2
- The find command replaced by wildcards

* Mon Aug 26 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.8-1
- Initial package
